| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
optoICC.icc4c.ICC4cBoard Class Reference
Inheritance diagram for optoICC.icc4c.ICC4cBoard:

## Public Member Functions
def | __init__ (self, str or None port=None, int baudrate=256000, bool comm_lock=True, bool verbose=False, bool simple=False, bool board_reset=False, float inter_byte_timeout=0.2, device_platform=DevicePlatform.ALL, feedback_type='none')

## Public Attributes
| Status
| => ICCStatus
| TemperatureManager
| => ICCTemperatureManager
| MiscFeatures
| => ICCMiscFeatures
| Logger
| => Logger
| SnapshotManager
| => SnapshotManager
| Channel_0
| => ICC4cChannel
| Channel_1
| => ICC4cChannel
| Channel_2
| => ICC4cChannel
| Channel_3
| => ICC4cChannel
| AllChannels
| => ICC4cChannel
| EEPROM
| => ICCBoardEEPROM
| SignalFlowManager
| => SignalFlowManager
| VectorPatternMemory
| => VectorPatternMemory
| ADCcontrol
| => ADCcontrol
| DACcontrol
| => DACcontrol
| WindowAverager
| => WindowAverager
| WaveformAdaptation
| => WaveformAdaptation
| TempCompensation
| => TempCompensation
| OutputMIMOTransform
| => TransformationStage (sysid=0xE0)
| InputMIMOTransform
| => TransformationStage (sysid=0xA0)
| SensorMIMOTransform
| => TransformationStage (sysid=0xA8)
| CapacitiveFeedback
| => CapacitiveFeedback
| HallFeedback
| => HallFeedback
| InertialMeasurementUnit
| => InertialMeasurementUnit
| SarynControl
| => SarynControl
| HallReadout4Lyra
| => HallReadout4Lyra
| ENCFeedback
| => ENCInput
| PreciSenFeedback
| => PreciSenInput
| AnalogFeedback
| => AnalogFeedback
| Stop
| => Stop
| Feedback
| Based on feedback_type hall => HallFeedback hall_3d => HallReadout4Lyra capacitive => CapacitiveFeedback encoder_abz => ENCInput preci_sen => PreciSenInput analog => AnalogFeedback

## Detailed Description

        Board object from which to issue ICC-4C commands over a serial connection.

        Parameters
        ----------
        port, baudrate, comm_lock, verbose
        Standard serial connection parameters. Extended from Connection class.
        simple: bool, optional = False
        Determines whether or not Board will be set in simple-mode after initialization.
        board_reset: bool, optional = False
        Determines whether or not to reset the Board during initialization.
        Raises
        ------
        none

        Notes
        -----
        Board extends Connection class. Refer to Connection for methods, parameters, etc.
        Board inherits Commands. Refer to Commands for methods, parameters, etc.

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.icc4c.ICC4cBoard.__init__ | ( |  | self,
|  | str or None | port = `None`,
|  | int | baudrate = `256000`,
|  | bool | comm_lock = `True`,
|  | bool | verbose = `False`,
|  | bool | simple = `False`,
|  | bool | board_reset = `False`,
|  | float | inter_byte_timeout = `0.2`,
|  |  | device_platform = `DevicePlatform.ALL`,
|  |  | feedback_type = `'none'`
| ) |  |

## Member Data Documentation

## ◆ ADCcontrol

optoICC.icc4c.ICC4cBoard.ADCcontrol

=> ADCcontrol

## ◆ AllChannels

optoICC.icc4c.ICC4cBoard.AllChannels

=> ICC4cChannel

## ◆ AnalogFeedback

optoICC.icc4c.ICC4cBoard.AnalogFeedback

=> AnalogFeedback

## ◆ CapacitiveFeedback

optoICC.icc4c.ICC4cBoard.CapacitiveFeedback

=> CapacitiveFeedback

## ◆ Channel_0

optoICC.icc4c.ICC4cBoard.Channel_0

=> ICC4cChannel

## ◆ Channel_1

optoICC.icc4c.ICC4cBoard.Channel_1

=> ICC4cChannel

## ◆ Channel_2

optoICC.icc4c.ICC4cBoard.Channel_2

=> ICC4cChannel

## ◆ Channel_3

optoICC.icc4c.ICC4cBoard.Channel_3

=> ICC4cChannel

## ◆ DACcontrol

optoICC.icc4c.ICC4cBoard.DACcontrol

=> DACcontrol

## ◆ EEPROM

optoICC.icc4c.ICC4cBoard.EEPROM

=> ICCBoardEEPROM

## ◆ ENCFeedback

optoICC.icc4c.ICC4cBoard.ENCFeedback

=> ENCInput

## ◆ Feedback

optoICC.icc4c.ICC4cBoard.Feedback

Based on feedback_type
hall => HallFeedback
hall_3d => HallReadout4Lyra
capacitive => CapacitiveFeedback
encoder_abz => ENCInput
preci_sen => PreciSenInput
analog => AnalogFeedback

## ◆ HallFeedback

optoICC.icc4c.ICC4cBoard.HallFeedback

=> HallFeedback

## ◆ HallReadout4Lyra

optoICC.icc4c.ICC4cBoard.HallReadout4Lyra

=> HallReadout4Lyra

## ◆ InertialMeasurementUnit

optoICC.icc4c.ICC4cBoard.InertialMeasurementUnit

=> InertialMeasurementUnit

## ◆ InputMIMOTransform

optoICC.icc4c.ICC4cBoard.InputMIMOTransform

=> TransformationStage (sysid=0xA0)

## ◆ Logger

optoICC.icc4c.ICC4cBoard.Logger

=> Logger

## ◆ MiscFeatures

optoICC.icc4c.ICC4cBoard.MiscFeatures

=> ICCMiscFeatures

## ◆ OutputMIMOTransform

optoICC.icc4c.ICC4cBoard.OutputMIMOTransform

=> TransformationStage (sysid=0xE0)

## ◆ PreciSenFeedback

optoICC.icc4c.ICC4cBoard.PreciSenFeedback

=> PreciSenInput

## ◆ SarynControl

optoICC.icc4c.ICC4cBoard.SarynControl

=> SarynControl

## ◆ SensorMIMOTransform

optoICC.icc4c.ICC4cBoard.SensorMIMOTransform

=> TransformationStage (sysid=0xA8)

## ◆ SignalFlowManager

optoICC.icc4c.ICC4cBoard.SignalFlowManager

=> SignalFlowManager

## ◆ SnapshotManager

optoICC.icc4c.ICC4cBoard.SnapshotManager

=> SnapshotManager

## ◆ Status

optoICC.icc4c.ICC4cBoard.Status

=> ICCStatus

## ◆ Stop

optoICC.icc4c.ICC4cBoard.Stop

=> Stop

## ◆ TempCompensation

optoICC.icc4c.ICC4cBoard.TempCompensation

=> TempCompensation

## ◆ TemperatureManager

optoICC.icc4c.ICC4cBoard.TemperatureManager

=> ICCTemperatureManager

## ◆ VectorPatternMemory

optoICC.icc4c.ICC4cBoard.VectorPatternMemory

=> VectorPatternMemory

## ◆ WaveformAdaptation

optoICC.icc4c.ICC4cBoard.WaveformAdaptation

=> WaveformAdaptation

## ◆ WindowAverager

optoICC.icc4c.ICC4cBoard.WindowAverager

=> WindowAverager

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/icc4c.py